org.hibernate.search.query.dsl.impl

## Class ConnectedTermMatchingContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedTermMatchingContext

- All Implemented Interfaces:
    FieldCustomization<TermMatchingContext>, FieldBridgeCustomization<TermMatchingContext>, TermMatchingContext

      public class ConnectedTermMatchingContext
      extends Object
      implements TermMatchingContext, FieldBridgeCustomization<TermMatchingContext>

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedTermMatchingContext(org.hibernate.search.query.dsl.impl.TermQueryContext termContext, String[] fields, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`
    `ConnectedTermMatchingContext(org.hibernate.search.query.dsl.impl.TermQueryContext termContext, String field, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermMatchingContext` | `andField(String field)` field / property the term query is executed on
    `TermMatchingContext` | `boostedTo(float boost)` Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `TermMatchingContext` | `ignoreAnalyzer()` Advanced Do not execute the analyzer on the text.
    `TermMatchingContext` | `ignoreFieldBridge()` Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.
    `TermTermination` | `matching(Object value)` Value searched in the field or fields.
    `TermMatchingContext` | `withFieldBridge(FieldBridge fieldBridge)` Sets the field bridge for querying the current field; any other bridge associated with this field will be ignored for the query

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedTermMatchingContext

          public ConnectedTermMatchingContext(org.hibernate.search.query.dsl.impl.TermQueryContext termContext,
                                              String field,
                                              org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                              QueryBuildingContext queryContext)

    - #### ConnectedTermMatchingContext

          public ConnectedTermMatchingContext(org.hibernate.search.query.dsl.impl.TermQueryContext termContext,
                                              String[] fields,
                                              org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                              QueryBuildingContext queryContext)

  - ### Method Detail

    - #### matching

          public TermTermination matching(Object value)

      Description copied from interface: `TermMatchingContext`
      Value searched in the field or fields. The value is passed to the field's: - field bridge - analyzer (unless ignoreAnalyzer is called).
      Specified by:
        `matching` in interface `TermMatchingContext`
      Parameters:
        `value` - the value to match
      Returns:
        `this` for method chaining

    - #### andField

          public TermMatchingContext andField(String field)

      Description copied from interface: `TermMatchingContext`
      field / property the term query is executed on
      Specified by:
        `andField` in interface `TermMatchingContext`
      Parameters:
        `field` - another field involved in the query
      Returns:
        `this` for method chaining

    - #### boostedTo

          public TermMatchingContext boostedTo(float boost)

      Description copied from interface: `FieldCustomization`
      Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
      Specified by:
        `boostedTo` in interface `FieldCustomization<TermMatchingContext>`
      Parameters:
        `boost` - the boost value, it can be negative (advance)
      Returns:
        an instance of T for method chaining

    - #### ignoreAnalyzer

          public TermMatchingContext ignoreAnalyzer()

      Description copied from interface: `FieldCustomization`
      Advanced Do not execute the analyzer on the text. (It is usually a good idea to apply the analyzer)
      Specified by:
        `ignoreAnalyzer` in interface `FieldCustomization<TermMatchingContext>`
      Returns:
        an instance of T for method chaining

    - #### ignoreFieldBridge

          public TermMatchingContext ignoreFieldBridge()

      Description copied from interface: `FieldCustomization`
      Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.
      Specified by:
        `ignoreFieldBridge` in interface `FieldCustomization<TermMatchingContext>`
      Returns:
        an instance of T for method chaining

    - #### withFieldBridge

          public TermMatchingContext withFieldBridge(FieldBridge fieldBridge)

      Description copied from interface: `FieldBridgeCustomization`
      Sets the field bridge for querying the current field; any other bridge associated with this field will be ignored for the query
      Specified by:
        `withFieldBridge` in interface `FieldBridgeCustomization<TermMatchingContext>`
      Parameters:
        `fieldBridge` - the field bridge to use
      Returns:
        this object, following the method chaining pattern

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved